Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 97684 - Breakpoints do not accept changes of their attributes in running debugger
Breakpoints do not accept changes of their attributes in running debugger
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-12 18:47 UTC by ehucka
Modified: 2007-03-26 09:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ehucka 2007-03-12 18:47:58 UTC
NetBeans IDE Dev (Build 200703111900)
1.6.0; Java HotSpot(TM) Client VM 1.6.0-b105
Linux version 2.6.16-1.2122_FC5 running on i386

Steps:

1. toggle line breakpoint in some repeated code
2. start debugging
3. wait for debuger stop on the line
4. select the breakpoint in breakpoints view and invoke customize action on it
5. change line number and confirm customize dialog
6. press continue

Result: breakpoint annotation in editor is moved to the new line but debugger
stop on the old line
Comment 1 ehucka 2007-03-13 13:17:21 UTC
It seems this 'update' of main breakpoint attributes in running debugger does
not support any type of breakpoints. Field name, stop on for field breakpoints,
method name and stop on for method breakpoints, class name for class breakpoints
etc.
I think it should be at least reflected by ui, e.g. disabled components in
customize breakpoint dialog.
Comment 2 Martin Entlicher 2007-03-15 09:15:48 UTC
Reproduced. This is a bug, it should re-submit the breakpoint.
Comment 3 Martin Entlicher 2007-03-22 17:57:38 UTC
Fixed in trunk:

/cvs/debuggerjpda/src/org/netbeans/modules/debugger/jpda/breakpoints/BreakpointImpl.java,v
 <--  BreakpointImpl.java
new revision: 1.37; previous revision: 1.36
Comment 4 ehucka 2007-03-26 09:55:00 UTC
verified in m8


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo